
TYPO3.TYPO3CR - Bug # 354

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Property handling
Created: 2008-02-22 Assigned To: Matthias Hörmann
Updated: 2011-05-05 Due date:
Subject: setProperty() on a Node discards type parameter
Description

When setting a property on a Node the type parameter is ignored completely!

Associated revisions
Revision b2881f88 - 2008-10-30 14:53 - Karsten Dambekalns
TYPO3CR:
    -  the LuceneKeywordAnalyser class no longer uses iconv, fixes #1840
    -  removed an unneeded method in Property class
    -  implemented validation and best-effort type-conversion for Node->setProperty() [mostly by Matthias Hoermann], fixes #354
        -  partial URIs (those without a scheme) are not implemented as there would be much overlap with JCR paths and/or names
        -  values of undefined type are just validated with several candidate types and the first match wins, the order(s) of types that are tried might need
some fine-tuning later

History
#1 - 2008-08-22 19:26 - Karsten Dambekalns
- Category set to Property handling
- Priority changed from Should have to Must have

#2 - 2008-09-23 16:55 - Matthias Hörmann
- Assigned To changed from Karsten Dambekalns to Matthias Hörmann

I am working on this now, validation of most types is done, working on best effort conversion and the other validators

#3 - 2008-10-28 13:14 - Karsten Dambekalns
- Target version set to 197

#4 - 2008-10-30 14:32 - Karsten Dambekalns
- Subject changed from addProperty() on a Node discards type parameter to setProperty() on a Node discards type parameter

#5 - 2008-10-30 14:55 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1413.

#6 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
